Package org.opensaml.xmlsec

# Interface EncryptionConfiguration

All Superinterfaces:
  `AlgorithmPolicyConfiguration`

All Known Implementing Classes:
  `BasicEncryptionConfiguration`

public interface EncryptionConfiguration extends AlgorithmPolicyConfiguration
The configuration information to use when generating encrypted XML.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.opensaml.xmlsec.AlgorithmPolicyConfiguration

`AlgorithmPolicyConfiguration.Precedence`

## Method Summary

Modifier and Type
Method
Description
`List<String>`
`getDataEncryptionAlgorithms()`
Get the list of preferred data encryption algorithm URIs, in preference order.
`List<Credential>`
`getDataEncryptionCredentials()`
Get the list of data encryption credentials to use, in preference order.
`NamedKeyInfoGeneratorManager`
`getDataKeyInfoGeneratorManager()`
Get the KeyInfoGenerator manager to use when generating the EncryptedData/KeyInfo.
`Map<String,KeyAgreementEncryptionConfiguration>`
`getKeyAgreementConfigurations()`
Get the map of `KeyAgreementEncryptionConfiguration` instances.
`KeyTransportAlgorithmPredicate`
`getKeyTransportAlgorithmPredicate()`
Get the instance of `KeyTransportAlgorithmPredicate`.
`List<String>`
`getKeyTransportEncryptionAlgorithms()`
Get the list of preferred key transport encryption algorithm URIs, in preference order.
`List<Credential>`
`getKeyTransportEncryptionCredentials()`
Get the list of key transport encryption credentials to use, in preference order.
`NamedKeyInfoGeneratorManager`
`getKeyTransportKeyInfoGeneratorManager()`
Get the KeyInfoGenerator manager to use when generating the EncryptedKey/KeyInfo.
`RSAOAEPParameters`
`getRSAOAEPParameters()`
Get the instance of `RSAOAEPParameters`.
`boolean`
`isRSAOAEPParametersMerge()`
Flag indicating whether to merge this configuration's `RSAOAEPParameters` values with those of a lower order of precedence, or to treat this configuration's parameters set as authoritative.

### Methods inherited from interface org.opensaml.xmlsec.AlgorithmPolicyConfiguration

`getExcludedAlgorithms, getIncludedAlgorithms, getIncludeExcludePrecedence, isExcludeMerge, isIncludeMerge`

## Method Details

### getDataEncryptionCredentials

@Nonnull @Unmodifiable @NotLive List<Credential> getDataEncryptionCredentials()
Get the list of data encryption credentials to use, in preference order.

Returns:
  the list of encryption credentials, may be empty

### getDataEncryptionAlgorithms

@Nonnull @Unmodifiable @NotLive List<String> getDataEncryptionAlgorithms()
Get the list of preferred data encryption algorithm URIs, in preference order.

Returns:
  the list of algorithm URIs, may be empty

### getKeyTransportEncryptionCredentials

@Nonnull @Unmodifiable @NotLive List<Credential> getKeyTransportEncryptionCredentials()
Get the list of key transport encryption credentials to use, in preference order.

Returns:
  the list of encryption credentials, may be empty

### getKeyTransportEncryptionAlgorithms

@Nonnull @Unmodifiable @NotLive List<String> getKeyTransportEncryptionAlgorithms()
Get the list of preferred key transport encryption algorithm URIs, in preference order.

Returns:
  the list of algorithm URIs, may be empty

### getDataKeyInfoGeneratorManager

@Nullable NamedKeyInfoGeneratorManager getDataKeyInfoGeneratorManager()
Get the KeyInfoGenerator manager to use when generating the EncryptedData/KeyInfo.

Returns:
  the KeyInfoGenerator manager instance

### getKeyTransportKeyInfoGeneratorManager

@Nullable NamedKeyInfoGeneratorManager getKeyTransportKeyInfoGeneratorManager()
Get the KeyInfoGenerator manager to use when generating the EncryptedKey/KeyInfo.

Returns:
  the KeyInfoGenerator manager instance

### getRSAOAEPParameters

@Nullable RSAOAEPParameters getRSAOAEPParameters()
Get the instance of `RSAOAEPParameters`.

Returns:
  the parameters instance

### isRSAOAEPParametersMerge

boolean isRSAOAEPParametersMerge()
Flag indicating whether to merge this configuration's `RSAOAEPParameters` values with those of a lower order of precedence, or to treat this configuration's parameters set as authoritative.

Returns:
  true if should merge, false otherwise

### getKeyTransportAlgorithmPredicate

@Nullable KeyTransportAlgorithmPredicate getKeyTransportAlgorithmPredicate()
Get the instance of `KeyTransportAlgorithmPredicate`.

Returns:
  the predicate instance

### getKeyAgreementConfigurations

@Nonnull @Unmodifiable @NotLive Map<String,KeyAgreementEncryptionConfiguration> getKeyAgreementConfigurations()
Get the map of `KeyAgreementEncryptionConfiguration` instances.

Returns:
  the